summaryrefslogtreecommitdiffstats
path: root/release/compile_all
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commit6d80ae38e4bfa82323398ceba27f25f94072bf5f (patch)
tree8ff7b57768c1e395e55e3c177687fb76d9d74ea3 /release/compile_all
downloadother-6d80ae38e4bfa82323398ceba27f25f94072bf5f.tar.gz
other-6d80ae38e4bfa82323398ceba27f25f94072bf5f.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kde-common@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'release/compile_all')
-rwxr-xr-xrelease/compile_all63
1 files changed, 63 insertions, 0 deletions
diff --git a/release/compile_all b/release/compile_all
new file mode 100755
index 0000000..73a44cb
--- /dev/null
+++ b/release/compile_all
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+CDPATH=""
+summary=~/.built_summary
+log=~/.built_log
+name=`basename $0`
+
+date > $summary
+date > $log
+config=`cat config.options`
+pwd=$PWD
+for a in `cat modules`; do
+cd build
+echo "rm -rf $a*"
+rm -rf $a*
+cat ../sources/$a*.bz2 | bunzip2 | tar -xf -
+cd $a*
+ result=0
+ if [ -e nobuild ]; then
+ action="Skipping"
+ result=1
+ fi
+ if [ $result$name == 0compile_all ]; then
+ action="Configuring $PWD"
+ echo $action
+ rm config.cache >> $log 2>&1
+ ./configure $config >> $log 2>&1
+ result=$?
+ fi
+ if [ $result == 0 ]; then
+ action="Compiling $PWD"
+ echo $action
+ make >> $log 2>&1
+ result=$?
+ fi
+ if [ $result == 0 ]; then
+ action="Installing $PWD"
+ echo $action
+ make install >> $log 2>&1
+ result=$?
+ fi
+ if [ $result == 0 ]; then
+ action="Done"
+ echo $action
+ fi
+
+ if [ "$action" == "Skipping" ]; then
+ echo $PWD skipped.
+ echo $PWD skipped. >> $summary
+ elif [ "$action" == "Done" ]; then
+ echo $PWD build ok. >> $summary
+ touch nobuild
+ else
+ echo ERROR during $action
+ echo ERROR during $action >> $summary
+ if [ $a == kdelibs ]; then
+ echo Aborted!
+ echo Aborted! >> $summary
+ exit 1;
+ fi
+ fi
+ cd $pwd;
+done